Error inflating class androidx.constraintlayout.widget.ConstraintLayout

今天下載了android studio 3.3.1體驗體驗新版本來着,沒想到新建項目直接來了個這個......

android.view.InflateException: Binary XML file line #2: Error inflating class androidx.constraintlayout.widget.ConstraintLayout

然後google了一下,不單單有這個問題,如果是手動換成androidx的依賴包還會出現報名不對的問題,所以你還要重新導入ConstraintLayout這個控件.

這個問題的解決就是把依賴版本從1.1.2換成1.1.3

原來

implementation 'androidx.constraintlayout:constraintlayout:1.1.2'

換成

implementation 'androidx.constraintlayout:constraintlayout:1.1.3'

很神奇的就好了.然後對比了下這兩個版本的源碼,就這兩個地方的不同

具體的原因還沒怎麼深究,等以後研究再更新吧!!僅此記錄

相關文章
相關標籤/搜索